[ubuntu/utopic-updates] qemu 2.1+dfsg-4ubuntu6.1 (Accepted)

Ubuntu Archive Robot cjwatson+ubuntu-archive-robot at chiark.greenend.org.uk
Thu Nov 13 13:29:01 UTC 2014


qemu (2.1+dfsg-4ubuntu6.1) utopic-security; urgency=medium

  * SECURITY UPDATE: information disclosure via vga driver
    - debian/patches/CVE-2014-3615.patch: return the correct memory size,
      sanity check register writes, and don't use fixed buffer sizes in
      hw/display/qxl.c, hw/display/vga.c, hw/display/vga_int.h,
      ui/spice-display.c.
    - CVE-2014-3615
  * SECURITY UPDATE: denial of service via slirp NULL pointer deref
    - debian/patches/CVE-2014-3640.patch: make sure socket is not just a
      stub in slirp/udp.c.
    - CVE-2014-3640
  * SECURITY UPDATE: possible privilege escalation via vmware-vga driver
    - debian/patches/CVE-2014-3689.patch: verify rectangles in
      hw/display/vmware_vga.c.
    - CVE-2014-3689
  * SECURITY UPDATE: denial of service via VNC console
    - debian/patches/CVE-2014-7815.patch: validate bits_per_pixel in
      ui/vnc.c.
    - CVE-2014-7815

Date: 2014-11-11 21:52:12.738548+00:00
Changed-By: Marc Deslauriers <marc.deslauriers at canonical.com>
Signed-By: Ubuntu Archive Robot <cjwatson+ubuntu-archive-robot at chiark.greenend.org.uk>
https://launchpad.net/ubuntu/+source/qemu/2.1+dfsg-4ubuntu6.1
-------------- next part --------------
Sorry, changesfile not available.


More information about the Utopic-changes mailing list